﻿using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using Telerik.Charting;
using Telerik.Web.UI;
using System.Globalization;
using System.Text.RegularExpressions;
using System.Drawing;

public partial class _Default : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {
        DataTable dt = new DataTable();
        dt.Columns.Add("DoubleData", typeof(double));
        dt.Columns.Add("StringData", typeof(string));

        DataRow dr = dt.NewRow();
        dr[0] = 10d;
        dr[1] = "test";
        dt.Rows.Add(dr);

        DataRow dr2 = dt.NewRow();
        dr2[0] = 15d;
        dr2[1] = "test2";
        dt.Rows.Add(dr2);

        DataRow dr3 = dt.NewRow();
        dr3[0] = 13d;
        dr3[1] = "test3";
        dt.Rows.Add(dr3);

        RadChart1.DataSource = dt;
        RadChart1.DataBind();
    }

    protected void RadChart1_BeforeLayout(object sender, EventArgs e)
    {
        this.RadChart1.Legend.Clear();

        int legendIndex = 0;
        int barIndex = 0;
        foreach (ChartAxisItem axisItem in this.RadChart1.PlotArea.XAxis.Items)
        {
            LabelItem legendItem = new LabelItem(axisItem.TextBlock.Text);
            legendItem.Marker.Appearance.FillStyle.MainColor = barColors[legendIndex++];
            this.RadChart1.Legend.Items.Add(legendItem);
        }

        foreach (ChartSeriesItem seriesItem in this.RadChart1.Series[0].Items)
        {
            seriesItem.Appearance.FillStyle.MainColor = barColors[barIndex++];
        }
    }

    Color[] barColors = new Color[15]
            {
                Color.Purple,
                Color.SteelBlue,
                Color.Aqua,
                Color.Yellow,
                Color.Navy,
                Color.Green,
                Color.Blue,
                Color.Red,
                Color.Pink,
                Color.PowderBlue,
                Color.PaleTurquoise,
                Color.OrangeRed,
                Color.Olive,
                Color.Lime,
                Color.LightSlateGray
            };
}
